Storyden
Trails

Create a manual Trail occurrence without moving its schedule

Create a new manual run and its action runs immediately. The operation does not change the next scheduled occurrence. An archived Trail cannot start a manual run.

POST
/trails/{trail_id}/runs

Create a new manual run and its action runs immediately. The operation does not change the next scheduled occurrence. An archived Trail cannot start a manual run.

Authorization

cookiestoryden-session<token>

Path Parameters

trail_id*string

A unique identifier for this resource.

Formatxid

Response Body

Manual Trail run created.

application/json
  1. response
id*Identifier

A unique identifier for this resource.

Formatxid
createdAt*string

The time the resource was created.

Formatdate-time
updatedAt*string

The time the resource was updated.

Formatdate-time
deletedAt?string

The time the resource was soft-deleted.

Formatdate-time
misc?

Arbitrary extra data stored with the resource.

trail_id*Identifier

A unique identifier for this resource.

Formatxid
trigger?
status*TrailRunStatus
Value in"queued""running""completed""attention_required""cancelled""skipped"
scheduled_for?string
Formatdate-time
actions*array<>
finished_at?string
Formatdate-time
Example Request
curl -X POST 'https://example.com/api/trails/string/runs'
Example Response
{  "id": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "deletedAt": "2019-08-24T14:15:22Z",  "misc": {},  "trail_id": "string",  "trigger": {    "trail_id": "string",    "trail_run_id": "string",    "kind": "scheduled",    "trigger": {      "type": "schedule",      "schedule": {        "start": "string",        "timezone": "string",        "rule": {          "frequency": "hourly",          "interval": 1,          "by_weekday": [            "monday"          ],          "by_month": [            1          ],          "by_month_day": [            -31          ],          "count": 1        }      }    },    "scheduled_for": "2019-08-24T14:15:22Z",    "observed_at": "2019-08-24T14:15:22Z",    "initiated_by": "string",    "payload": null  },  "status": "queued",  "scheduled_for": "2019-08-24T14:15:22Z",  "actions": [    {      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "deletedAt": "2019-08-24T14:15:22Z",      "misc": {},      "action": {        "id": "string",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "deletedAt": "2019-08-24T14:15:22Z",        "misc": {},        "action": {          "type": "robot_run",          "robot_ref": "string",          "instruction": "string"        }      },      "status": "queued",      "output": null,      "target": {        "type": "robot_run",        "robot_session_id": "string",        "output": {          "status": "completed",          "summary": "string",          "attention": {            "reason": "string",            "message": "string"          }        }      },      "error": "string",      "started_at": "2019-08-24T14:15:22Z",      "finished_at": "2019-08-24T14:15:22Z"    }  ],  "finished_at": "2019-08-24T14:15:22Z"}